/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package core;

import java.awt.Color;
import java.awt.Graphics2D;
import java.text.DecimalFormat;
import java.text.NumberFormat;

/**
 *
 * @author fotis
 */
public class SectionUser extends Section {


    public SectionUser(double b, double h,double A,double I) {
        super(b, h);
        tag="USER";
        this.A=A;
        this.I=I;
        Au=h*b-A;
    }

    @Override
    public void draw(Graphics2D g2, int x0, int y0) {
        g2.setColor(Color.BLACK);
        g2.drawLine(x0, y0 - 20, x0 + 210, y0 - 20);
        g2.drawLine(x0, y0 - 115, x0 + 210, y0 - 115);
        g2.drawLine(x0, y0 - 20, x0, y0 - 115);
        g2.drawLine(x0 + 210, y0 - 20, x0 + 210, y0 - 115);
        g2.setColor(Color.BLUE);
        g2.drawOval(x0 + 10, y0 - 100, 75, 55);
        g2.setColor(Color.BLACK);
        NumberFormat f=new DecimalFormat("0.00");
        NumberFormat e=new DecimalFormat("0.00E00");
        g2.drawString("b ", x0+100, y0-100);
        g2.drawString("h ", x0+100, y0-85);
        g2.drawString("A ", x0+100, y0-70);
        g2.drawString("I ", x0+100, y0-55);
        g2.drawString(" = "+f.format(b)+"m", x0+120, y0-100);
        g2.drawString(" = "+f.format(h)+"m", x0+120, y0-85);
        g2.drawString(" = "+e.format(A)+"m2", x0+120, y0-70);
        g2.drawString(" = "+e.format(I)+"m4", x0+120, y0-55);
    }
    @Override
    public String toString(){
        String s="\t<section_user>\n";
        s+="\t\t<b>"+b+"</b>\n";
        s+="\t\t<h>"+h+"</h>\n";
        s+="\t\t<A>"+A+"</A>\n";
        s+="\t\t<I>"+I+"</I>\n";
        s+="\t</section_user>\n";
        return s;
    }    
}
